Subject: bug#18743: 25.0.50; Clang 3.0 fails to compile src/fns.c, GCC 4.8 cannot dump emacs

From: Peter Dyballa <[email-masked]>
Date: Fri, 8 Dec 2017 01:33:37 +0100

Am 7.12.2017 um 20:52 schrieb Richard Stallman:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> 
> It looks like with a little more work you will finish analyzing
> the problem.

For Mac OS X 10.6.8, Snow Leopard, *and* use of MacPorts, which recommends to use as cxx_stdlib libc++, the use of GCC 6 seems to be necessary. At least I could not build GNU Emacs 26.0.90 with another GCC version (I did not try old GCC 4.2, but 4.8 and 5.5 failed).

Mac OS X's Clang 3.0 can build GNU Emacs 26.0.90.

Anyway, in a few weeks, around Christmas, I'll upgrade to El Capitan, macOS (or OS X?) 10.9, I think. (And later even further.) Too much free (and also some useful commercial) software stopped supporting Snow Leopard, so it has to be! (And one very useful free software won't run on El Capitan…)

--
Greetings

  Pete

A morning without coffee is like something without something else.